BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.MarshalByRefObject System.IDisposable System.Runtime.InteropServices.ComVisible(true)

is the abstract base class of and , which write characters to streams and strings, respectively. Create an instance of to write an object to a string, write strings to a file, or to serialize XML. You can also use an instance of to write text to a custom backing store using the same APIs you would use for a string or a stream, or to add support for text formatting.

All the Write methods of having primitive data types as parameters write out the values as strings.

By default, a is not thread safe. See for a thread-safe wrapper.

For a list of common I/O tasks, see Common I/O Tasks.

Represents a writer that can write a sequential series of characters. This class is abstract.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Use this constructor overload when you do not want to provide a value for the property. When the property is null, the culture of the current thread is used for formatting.

  Use this constructor for derived classes.

  For a list of common I/O tasks, see Common I/O Tasks.

  Initializes a new instance of the class.

  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Use this constructor overload to provide a value for the property. The value of the property specifies the culture-specific formatting that is used when you call the and methods. If you do not want to provide a format provider, you create an instance by using the constructor, which sets the property to null. When the property is null, the culture of the current thread is used for formatting.

  For a list of common I/O tasks, see Common I/O Tasks.

  Initializes a new instance of the class with the specified format provider.

  An object that controls formatting.
  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  This implementation of Close calls the method and passes it a true value.

  Flushing the stream will not flush its underlying encoder unless you explicitly call or Close. Setting the property to true means that data will be flushed from the buffer to the stream, but the encoder state will not be flushed. This allows the encoder to keep its state (partial characters) so that it can encode the next block of characters correctly. This scenario affects UTF8 and UTF7 where certain characters can be encoded only after the encoder receives the adjacent character or characters.

  In derived classes, do not override the method. Instead, override the method to add code for releasing resources.

  Closes the current writer and releases any system resources associated with the writer.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Char[]

  For a list of common I/O tasks, see Common I/O Tasks.

  Stores the newline characters used for this TextWriter.

- Method
  2.0.0.0
  4.0.0.0
  System.Void

  Call when you are finished using the . The method leaves the in an unusable state. After calling , you must release all references to the so the garbage collector can reclaim the memory that the was occupying.

  For more information, see [<topic://cpconCleaningUpUnmanagedResources>] and Implementing a Dispose Method.

  Note Always call before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's method.

  Releases all resources used by the object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is called by Dispose and . By default, this method specifies the parameter as true. specifies the parameter as false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources. 0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Text.Encoding

  The in which the output is written.

  This property is necessary for some XML scenarios where a header must be written containing the encoding used by the TextWriter. This enables the XML code to consume an arbitrary TextWriter and generate the correct XML header.

  For a list of common I/O tasks, see Common I/O Tasks.

  When overridden in a derived class, returns the character encoding in which the output is written.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  This default method does nothing, but derived classes can override the method to provide the appropriate functionality.

  Flushing the stream will not flush its underlying encoder unless you explicitly call Flush or . Setting to true means that data will be flushed from the buffer to the stream, but the encoder state will not be flushed. This allows the encoder to keep its state (partial characters) so that it can encode the next block of characters correctly. This scenario affects UTF8 and UTF7 where certain characters can only be encoded after the encoder receives the adjacent character or characters.

  Clears all buffers for the current writer and causes any buffered data to be written to the underlying device.

  0
- Method
  4.0.0.0
  System.Threading.Tasks.Task To be added.

  Asynchronously clears all buffers for the current writer and causes any buffered data to be written to the underlying device.

  A task that represents the asynchronous flush operation.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IFormatProvider

  A object for a specific culture, or the formatting of the current culture if no other culture is specified.

  The value of the property specifies the culture-specific formatting that is used when you call the and methods. If you do not want to provide a format provider, you create an instance by using the constructor, which sets the property to null. When the property contains null, the culture of the current thread is used for formatting.

  For an example of creating a file and writing text to a file, see [<topic://cpconwritingtexttofile>]. For an example of reading text from a file, see [<topic://cpconreadingtextfromfile>]. For an example of reading from and writing to a binary file, see [<topic://cpconReadingWritingToNewlyCreatedDataFile>].

  For a list of common I/O tasks, see Common I/O Tasks.

  Gets an object that controls formatting.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  A containing the line terminator string for the current .

  The default line terminator string is a carriage return followed by a line feed ("\r\n").

  The line terminator string is written to the text stream whenever one of the WriteLine methods is called. In order for text written by the TextWriter to be readable by a , only "\n" or "\r\n" should be used as terminator strings. If NewLine is set to null, the default newline character is used instead.

  For a list of common I/O tasks, see Common I/O Tasks.

  Gets or sets the line terminator string used by the current TextWriter.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.TextWriter

  Use Null to redirect output to a stream that will not consume any operating system resources.

  When the methods are invoked on Null, the call simply returns, and no data is actually written to any backing store.

  For a list of common I/O tasks, see Common I/O Tasks.

  Provides a TextWriter with no backing store that can be written to, but not read from.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.TextWriter `` is .

  All write operations to the returned wrapper will be thread safe. You call this method to ensure that only one thread at a time can execute the methods on the instance that is returned. For more information about synchronization and threading, see Synchronizing Data for Multithreading.

  For a list of common I/O tasks, see Common I/O Tasks.

  Creates a thread-safe wrapper around the specified TextWriter.

  A thread-safe wrapper.

  The TextWriter to synchronize. 0
- Method
  System.Void To be added. To be added. 1.0.5000.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` An I/O error occurred.

  The text representation of the specified value is produced by calling the method.

  This method outputs either or .

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes the text representation of a Boolean value to the text string or stream.

  The Boolean value to write. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` An I/O error occurred.

  This default method does nothing, but derived classes can override the method to provide the appropriate functionality.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes a character to the text string or stream.

  The character to write to the text stream. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` An I/O error occurred.

  This method does not search the specified string for individual newline characters (hexadecimal 0x000a) and replace them with .

  This default method calls the method and passes the entire character array. If the character array is null, nothing is written.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes a character array to the text string or stream.

  The character array to write to the text stream. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` An I/O error occurred.

  The property, if not null, specifies the culture-specific formatting.

  Writes the text representation of a decimal value to the text string or stream.

  The decimal value to write. 1 ExtendedNumerics
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` An I/O error occurred.

  The text representation of the specified value is produced by calling the method. The property, if not null, specifies the culture-specific formatting.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes the text representation of an 8-byte floating-point value to the text string or stream.

  The 8-byte floating-point value to write. 1 ExtendedNumerics
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` An I/O error occurred.

  The text representation of the specified value is produced by calling the method. The property, if not null, specifies the culture-specific formatting.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes the text representation of a 4-byte signed integer to the text string or stream.

  The 4-byte signed integer to write. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` An I/O error occurred.

  The text representation of the specified value is produced by calling the method. The property, if not null, specifies the culture-specific formatting.

  For a list of common I/O tasks, see Common I/O Tasks.

  [<topic://cpconwritingtexttofile>]

  Writes the text representation of an 8-byte signed integer to the text string or stream.

  The 8-byte signed integer to write. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` An I/O error occurred.

  This overload is equivalent to the overload.

  If the specified object is null, no action is taken and no exception is thrown. Otherwise, the object's ToString method is called to produce the string representation, and the resulting string is then written to the output stream. The property, if not null, specifies the culture-specific formatting.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes the text representation of an object to the text string or stream by calling the ToString method on that object.

  The object to write. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` An I/O error occurred.

  The text representation of the specified value is produced by calling the method. The property, if not null, specifies the culture-specific formatting.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes the text representation of a 4-byte floating-point value to the text string or stream.

  The 4-byte floating-point value to write. 1 ExtendedNumerics
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` An I/O error occurred.

  This overload is equivalent to the overload.

  This method does not search the specified string for individual newline characters (hexadecimal 0x000a) and replace them with .

  If is null, nothing is written to the text stream.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes a string to the text string or stream.

  The string to write. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Void `` An I/O error occurred.

  The text representation of the specified value is produced by calling the method. The property, if not null, specifies the culture-specific formatting.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes the text representation of a 4-byte unsigned integer to the text string or stream.

  The 4-byte unsigned integer to write. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Void `` An I/O error occurred.

  The text representation of the specified value is produced by calling the method. The property, if not null, specifies the culture-specific formatting.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes the text representation of an 8-byte unsigned integer to the text string or stream.

  The 8-byte unsigned integer to write. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  is .

  An I/O error occurred.

  The format specification in is invalid.

  -or-

  The number indicating an argument to be formatted is less than zero, or greater than or equal to the number of provided objects to be formatted (1).

  This method uses the composite formatting feature of the .NET Framework to convert the value of an object to its string representation and to embed that representation in a string. The .NET Framework provides extensive formatting support, which is described in greater detail in the following formatting topics:

  For more information about the composite formatting feature, see Composite Formatting.

  For more information about numeric format specifiers, see Standard Numeric Format Strings and Custom Numeric Format Strings.

  For more information about date and time format specifiers, see Standard DateTime Format Strings and Custom DateTime Format Strings.

  For more information about enumeration format specifiers, see Enumeration Format Strings.

  For more information about formatting, see Formatting Types.

  The parameter consists of zero or more runs of text intermixed with zero or more indexed placeholders, called format items, that correspond to an object in the parameter list of this method. The formatting process replaces each format item with the string representation of the value of the corresponding object.

  The syntax of a format item is as follows:

  {index[,length][:formatString]}

  Elements in square brackets are optional. The following table describes each element. For more information about the composite formatting feature, including the syntax of a format item, see Composite Formatting.

  Element

  Description

  index

  The zero-based position in the parameter list of the object to be formatted. If the object specified by index is null, the format item is replaced by . Because this overload has only a single object in its parameter list, the value of index must always be 0. If there is no parameter in the index position, a is thrown.

  ,length

  The minimum number of characters in the string representation of the parameter. If positive, the parameter is right-aligned; if negative, it is left-aligned.

  :formatString

  A standard or custom format string that is supported by the object to be formatted. Possible values for formatString are the same as the values supported by the object's ToString() method. If formatString is not specified and the object to be formatted implements the interface, null is passed as the value of the parameter that is used as the format string.

  The leading and trailing brace characters, "{" and "}", are required. To specify a single literal brace character in , specify two leading or trailing brace characters; that is, "{{" or "}}".

  . This method does not search the specified string for individual newline characters (hexadecimal 0x000a) and replace them with .

  If a specified object is not referenced in the format string, it is ignored.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes a formatted string to the text string or stream, using the same semantics as the method.

  A composite format string (see Remarks). The object to format and write. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `System.ParamArray`

  is .

  -or-

  is .

  An I/O error occurred.

  The format specification in is invalid.

  -or-

  The number indicating an argument to be formatted is less than zero, or greater than or equal to Length .

  This method uses the composite formatting feature of the .NET Framework to convert the value of an object to its string representation and to embed that representation in a string. The .NET Framework provides extensive formatting support, which is described in greater detail in the following formatting topics:

  For more information about the composite formatting feature, see Composite Formatting.

  For more information about numeric format specifiers, see Standard Numeric Format Strings and Custom Numeric Format Strings.

  For more information about date and time format specifiers, see Standard DateTime Format Strings and Custom DateTime Format Strings.

  For more information about enumeration format specifiers, see Enumeration Format Strings.

  For more information about formatting, see Formatting Types.

  The parameter consists of zero or more runs of text intermixed with zero or more indexed placeholders, called format items, that correspond to an object in the parameter list of this method. The formatting process replaces each format item with the string representation of the value of the corresponding object.

  The syntax of a format item is as follows:

  {index[,length][:formatString]}

  Elements in square brackets are optional. The following table describes each element. For more information about the composite formatting feature, including the syntax of a format item, see Composite Formatting.

  Element

  Description

  index

  The zero-based position in the parameter list of the object to be formatted. If the object specified by index is null, the format item is replaced by . Because this overload has an array in its parameter list, the value of index must always be less than the length of the array. If there is no parameter in the index position, a is thrown.

  ,length

  The minimum number of characters in the string representation of the parameter. If positive, the parameter is right-aligned; if negative, it is left-aligned.

  :formatString

  A standard or custom format string that is supported by the object to be formatted. Possible values for formatString are the same as the values supported by the object's ToString() method. If formatString is not specified and the object to be formatted implements the interface, null is passed as the value of the parameter that is used as the format string.

  The leading and trailing brace characters, "{" and "}", are required. To specify a single literal brace character in , specify two leading or trailing brace characters; that is, "{{" or "}}".

  This method does not search the specified string for individual newline characters (hexadecimal 0x000a) and replace them with .

  If a specified object is not referenced in the format string, it is ignored.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes a formatted string to the text string or stream, using the same semantics as the method.

  A composite format string (see Remarks). An object array that contains zero or more objects to format and write. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` is . ( + ) > Length. 0 or < 0. An I/O error occurred.

  This method will write characters of data into this TextWriter from the character array starting at position .

  This overload is equivalent to the overload for each character in between and ( + ).

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes a subarray of characters to the text string or stream.

  The character array to write data from. The character position in the buffer at which to start retrieving data. The number of characters to write. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  is .

  An I/O error occurred.

  The format specification in is invalid.

  -or-

  The number indicating an argument to be formatted is less than zero, or greater than or equal to the number of provided objects to be formatted (2).

  This method uses the composite formatting feature of the .NET Framework to convert the value of an object to its string representation and to embed that representation in a string. The .NET Framework provides extensive formatting support, which is described in greater detail in the following formatting topics:

  For more information about the composite formatting feature, see Composite Formatting.

  For more information about numeric format specifiers, see Standard Numeric Format Strings and Custom Numeric Format Strings.

  For more information about date and time format specifiers, see Standard DateTime Format Strings and Custom DateTime Format Strings.

  For more information about enumeration format specifiers, see Enumeration Format Strings.

  For more information about formatting, see Formatting Types.

  The parameter consists of zero or more runs of text intermixed with zero or more indexed placeholders, called format items, that correspond to an object in the parameter list of this method. The formatting process replaces each format item with the string representation of the value of the corresponding object.

  The syntax of a format item is as follows:

  {index[,length][:formatString]}

  Elements in square brackets are optional. The following table describes each element. For more information about the composite formatting feature, including the syntax of a format item, see Composite Formatting.

  Element

  Description

  index

  The zero-based position in the parameter list of the object to be formatted. If the object specified by index is null, the format item is replaced by . Because this overload has two objects in its parameter list, the value of index must always be 0 or 1. If there is no parameter in the index position, a is thrown.

  ,length

  The minimum number of characters in the string representation of the parameter. If positive, the parameter is right-aligned; if negative, it is left-aligned.

  :formatString

  A standard or custom format string that is supported by the object to be formatted. Possible values for formatString are the same as the values supported by the object's ToString() method. If formatString is not specified and the object to be formatted implements the interface, null is passed as the value of the parameter that is used as the format string.

  The leading and trailing brace characters, "{" and "}", are required. To specify a single literal brace character in , specify two leading or trailing brace characters; that is, "{{" or "}}".

  This method does not search the specified string for individual newline characters (hexadecimal 0x000a) and replace them with .

  If a specified object is not referenced in the format string, it is ignored.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes a formatted string to the text string or stream, using the same semantics as the method.

  A composite format string (see Remarks). The first object to format and write. The second object to format and write. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` ``

  is .

  An I/O error occurred.

  The format specification in is invalid.

  -or-

  The number indicating an argument to be formatted is less than zero, or greater than or equal to the number of provided objects to be formatted (3).

  This method uses the composite formatting feature of the .NET Framework to convert the value of an object to its string representation and to embed that representation in a string. The .NET Framework provides extensive formatting support, which is described in greater detail in the following formatting topics:

  For more information about the composite formatting feature, see Composite Formatting.

  For more information about numeric format specifiers, see Standard Numeric Format Strings and Custom Numeric Format Strings.

  For more information about date and time format specifiers, see Standard DateTime Format Strings and Custom DateTime Format Strings.

  For more information about enumeration format specifiers, see Enumeration Format Strings.

  For more information about formatting, see Formatting Types.

  The parameter consists of zero or more runs of text intermixed with zero or more indexed placeholders, called format items, that correspond to an object in the parameter list of this method. The formatting process replaces each format item with the string representation of the value of the corresponding object.

  The syntax of a format item is as follows:

  {index[,length][:formatString]}

  Elements in square brackets are optional. The following table describes each element. For more information about the composite formatting feature, including the syntax of a format item, see Composite Formatting.

  Element

  Description

  index

  The zero-based position in the parameter list of the object to be formatted. If the object specified by index is null, the format item is replaced by . Because this overload has three objects in its parameter list, the value of index must always be 0, 1, or 2. If there is no parameter in the index position, a is thrown.

  ,length

  The minimum number of characters in the string representation of the parameter. If positive, the parameter is right-aligned; if negative, it is left-aligned.

  :formatString

  A standard or custom format string that is supported by the object to be formatted. Possible values for formatString are the same as the values supported by the object's ToString() method. If formatString is not specified and the object to be formatted implements the interface, null is passed as the value of the parameter that is used as the format string.

  The leading and trailing brace characters, "{" and "}", are required. To specify a single literal brace character in , specify two leading or trailing brace characters; that is, "{{" or "}}".

  This method does not search the specified string for individual newline characters (hexadecimal 0x000a) and replace them with .

  If a specified object is not referenced in the format string, it is ignored.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes a formatted string to the text string or stream, using the same semantics as the method.

  A composite format string (see Remarks). The first object to format and write. The second object to format and write. The third object to format and write. 0
- Method
  4.0.0.0
  System.Threading.Tasks.Task ``

  The class is an abstract class. Therefore, you do not instantiate it in your code. For an example of using the method, see the method.

  Writes a character to the text string or stream asynchronously.

  A task that represents the asynchronous write operation.

  The character to write to the text stream.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` To be added.

  Writes a character array to the text string or stream asynchronously.

  A task that represents the asynchronous write operation.

  The character array to write to the text stream. If is null, nothing is written.
- Method
  4.0.0.0
  System.Threading.Tasks.Task ``

  The class is an abstract class. Therefore, you do not instantiate it in your code. For an example of using the method, see the method.

  Writes a string to the text string or stream asynchronously.

  A task that represents the asynchronous write operation.

  The string to write. If is null, nothing is written to the text stream.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` ``

  The class is an abstract class. Therefore, you do not instantiate it in your code. For an example of using the method, see the method.

  Writes a subarray of characters to the text string or stream asynchronously.

  A task that represents the asynchronous write operation.

  The character array to write data from. The character position in the buffer at which to start retrieving data. The number of characters to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void An I/O error occurred.

  The line terminator is defined by the field.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes a line terminator to the text string or stream.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` An I/O error occurred.

  The text representation of the specified value is produced by calling the method.

  This method outputs either or .

  The line terminator is defined by the field.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes the text representation of a Boolean value followed by a line terminator to the text string or stream.

  The Boolean value to write. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` An I/O error occurred.

  This overload is equivalent to followed by .

  The line terminator is defined by the field.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes a character followed by a line terminator to the text string or stream.

  The character to write to the text stream. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` An I/O error occurred.

  All the characters in are written to the underlying stream. If the character array is null, only the line terminator is written.

  This overload is equivalent to followed by .

  The line terminator is defined by the field.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes an array of characters followed by a line terminator to the text string or stream.

  The character array from which data is read. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` An I/O error occurred.

  The property, if not null, specifies the culture-specific formatting. For a list of common I/O tasks, see Common I/O Tasks.

  The line terminator is defined by the field.

  Writes the text representation of a decimal value followed by a line terminator to the text string or stream.

  The decimal value to write. 1 ExtendedNumerics
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` An I/O error occurred.

  The property, if not null, specifies the culture-specific formatting. For a list of common I/O tasks, see Common I/O Tasks.

  The line terminator is defined by the field.

  Writes the text representation of a 8-byte floating-point value followed by a line terminator to the text string or stream.

  The 8-byte floating-point value to write. 1 ExtendedNumerics
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` An I/O error occurred.

  The text representation of the specified value is produced by calling the method. The property, if not null, specifies the culture-specific formatting.

  The line terminator is defined by the field.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes the text representation of a 4-byte signed integer followed by a line terminator to the text string or stream.

  The 4-byte signed integer to write. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` An I/O error occurred.

  The text representation of the specified value is produced by calling the method. The property, if not null, specifies the culture-specific formatting.

  The line terminator is defined by the field.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes the text representation of an 8-byte signed integer followed by a line terminator to the text string or stream.

  The 8-byte signed integer to write. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` An I/O error occurred.

  This overload is equivalent to the overload. The property, if not null, specifies the culture-specific formatting.

  The line terminator is defined by the field.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes the text representation of an object by calling the ToString method on that object, followed by a line terminator to the text string or stream.

  The object to write. If is null, only the line terminator is written. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` An I/O error occurred.

  The property, if not null, specifies the culture-specific formatting. For a list of common I/O tasks, see Common I/O Tasks.

  The line terminator is defined by the field.

  Writes the text representation of a 4-byte floating-point value followed by a line terminator to the text string or stream.

  The 4-byte floating-point value to write. 1 ExtendedNumerics
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` An I/O error occurred.

  This overload is equivalent to the overload.

  The line terminator is defined by the field.

  This method does not search the specified string for individual newline characters (hexadecimal 0x000a) and replace them with .

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes a string followed by a line terminator to the text string or stream.

  The string to write. If is null, only the line terminator is written. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Void `` An I/O error occurred.

  The text representation of the specified value is produced by calling the method. The property, if not null, specifies the culture-specific formatting.

  The line terminator is defined by the field.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes the text representation of a 4-byte unsigned integer followed by a line terminator to the text string or stream.

  The 4-byte unsigned integer to write. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Void `` An I/O error occurred.

  The text representation of the specified value is produced by calling the method. The property, if not null, specifies the culture-specific formatting.

  The line terminator is defined by the field.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes the text representation of an 8-byte unsigned integer followed by a line terminator to the text string or stream.

  The 8-byte unsigned integer to write. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  is .

  An I/O error occurred.

  The format specification in is invalid.

  -or-

  The number indicating an argument to be formatted is less than zero, or greater than or equal to the number of provided objects to be formatted (1).

  This method uses the composite formatting feature of the .NET Framework to convert the value of an object to its string representation and to embed that representation in a string. The .NET Framework provides extensive formatting support, which is described in greater detail in the following formatting topics:

  For more information about the composite formatting feature, see Composite Formatting.

  For more information about numeric format specifiers, see Standard Numeric Format Strings and Custom Numeric Format Strings.

  For more information about date and time format specifiers, see Standard DateTime Format Strings and Custom DateTime Format Strings.

  For more information about enumeration format specifiers, see Enumeration Format Strings.

  For more information about formatting, see Formatting Types.

  The parameter consists of zero or more runs of text intermixed with zero or more indexed placeholders, called format items, that correspond to an object in the parameter list of this method. The formatting process replaces each format item with the string representation of the value of the corresponding object.

  The syntax of a format item is as follows:

  {index[,length][:formatString]}

  Elements in square brackets are optional. The following table describes each element. For more information about the composite formatting feature, including the syntax of a format item, see Composite Formatting.

  Element

  Description

  index

  The zero-based position in the parameter list of the object to be formatted. If the object specified by index is null, the format item is replaced by . Because this overload has only a single object in its parameter list, the value of index must always be 0. If there is no parameter in the index position, a is thrown.

  ,length

  The minimum number of characters in the string representation of the parameter. If positive, the parameter is right-aligned; if negative, it is left-aligned.

  :formatString

  A standard or custom format string that is supported by the object to be formatted. Possible values for formatString are the same as the values supported by the object's ToString() method. If formatString is not specified and the object to be formatted implements the interface, null is passed as the value of the parameter that is used as the format string.

  The leading and trailing brace characters, "{" and "}", are required. To specify a single literal brace character in , specify two leading or trailing brace characters; that is, "{{" or "}}".

  This method does not search the specified string for individual newline characters (hexadecimal 0x000a) and replace them with .

  If a specified object is not referenced in the format string, it is ignored.

  The line terminator is defined by the field.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes a formatted string and a new line to the text string or stream, using the same semantics as the method.

  A composite format string (see Remarks). The object to format and write. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `System.ParamArray` or is . An I/O error occurred.

  The format specification in is invalid.

  -or-

  The number indicating an argument to be formatted is less than zero, or greater than or equal to Length.

  This method uses the composite formatting feature of the .NET Framework to convert the value of an object to its string representation and to embed that representation in a string. The .NET Framework provides extensive formatting support, which is described in greater detail in the following formatting topics:

  For more information about the composite formatting feature, see Composite Formatting.

  For more information about numeric format specifiers, see Standard Numeric Format Strings and Custom Numeric Format Strings.

  For more information about date and time format specifiers, see Standard DateTime Format Strings and Custom DateTime Format Strings.

  For more information about enumeration format specifiers, see Enumeration Format Strings.

  For more information about formatting, see Formatting Types.

  The parameter consists of zero or more runs of text intermixed with zero or more indexed placeholders, called format items, that correspond to an object in the parameter list of this method. The formatting process replaces each format item with the string representation of the value of the corresponding object.

  The syntax of a format item is as follows:

  {index[,length][:formatString]}

  Elements in square brackets are optional. The following table describes each element. For more information about the composite formatting feature, including the syntax of a format item, see Composite Formatting.

  Element

  Description

  index

  The zero-based position in the parameter list of the object to be formatted. If the object specified by index is null, the format item is replaced by . Because this overload has an array in its parameter list, the value of index must always be less than the length of the array. If there is no parameter in the index position, a is thrown.

  ,length

  The minimum number of characters in the string representation of the parameter. If positive, the parameter is right-aligned; if negative, it is left-aligned.

  :formatString

  A standard or custom format string that is supported by the object to be formatted. Possible values for formatString are the same as the values supported by the object's ToString() method. If formatString is not specified and the object to be formatted implements the interface, null is passed as the value of the parameter that is used as the format string.

  The leading and trailing brace characters, "{" and "}", are required. To specify a single literal brace character in , specify two leading or trailing brace characters; that is, "{{" or "}}".

  This method does not search the specified string for individual newline characters (hexadecimal 0x000a) and replace them with .

  If a specified object is not referenced in the format string, it is ignored.

  The line terminator is defined by the field.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes out a formatted string and a new line, using the same semantics as .

  A composite format string (see Remarks). An object array that contains zero or more objects to format and write. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` is . ( + ) > .Length.

  0

  -or-

  < 0.

  An I/O error occurred.

  This method will write characters of data into this TextWriter from the character array starting at position .

  This overload is equivalent to calling the method followed by for each character in between and ( + ).

  The line terminator is defined by the field.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes a subarray of characters followed by a line terminator to the text string or stream.

  The character array from which data is read. The character position in at which to start reading data. The maximum number of characters to write. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  is .

  An I/O error occurred.

  The format specification in is invalid.

  -or-

  The number indicating an argument to be formatted is less than zero, or greater than or equal to the number of provided objects to be formatted (2).

  This method uses the composite formatting feature of the .NET Framework to convert the value of an object to its string representation and to embed that representation in a string. The .NET Framework provides extensive formatting support, which is described in greater detail in the following formatting topics:

  For more information about the composite formatting feature, see Composite Formatting.

  For more information about numeric format specifiers, see Standard Numeric Format Strings and Custom Numeric Format Strings.

  For more information about date and time format specifiers, see Standard DateTime Format Strings and Custom DateTime Format Strings.

  For more information about enumeration format specifiers, see Enumeration Format Strings.

  For more information about formatting, see Formatting Types.

  The parameter consists of zero or more runs of text intermixed with zero or more indexed placeholders, called format items, that correspond to an object in the parameter list of this method. The formatting process replaces each format item with the string representation of the value of the corresponding object.

  The syntax of a format item is as follows:

  {index[,length][:formatString]}

  Elements in square brackets are optional. The following table describes each element. For more information about the composite formatting feature, including the syntax of a format item, see Composite Formatting.

  Element

  Description

  index

  The zero-based position in the parameter list of the object to be formatted. If the object specified by index is null, the format item is replaced by . Because this overload has two objects in its parameter list, the value of index must always be 0 or 1. If there is no parameter in the index position, a is thrown.

  ,length

  The minimum number of characters in the string representation of the parameter. If positive, the parameter is right-aligned; if negative, it is left-aligned.

  :formatString

  A standard or custom format string that is supported by the object to be formatted. Possible values for formatString are the same as the values supported by the object's ToString() method. If formatString is not specified and the object to be formatted implements the interface, null is passed as the value of the parameter that is used as the format string.

  The leading and trailing brace characters, "{" and "}", are required. To specify a single literal brace character in , specify two leading or trailing brace characters; that is, "{{" or "}}".

  This method does not search the specified string for individual newline characters (hexadecimal 0x000a) and replace them with .

  If a specified object is not referenced in the format string, it is ignored.

  The line terminator is defined by the field.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes a formatted string and a new line to the text string or stream, using the same semantics as the method.

  A composite format string (see Remarks). The first object to format and write. The second object to format and write. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` ``

  is .

  An I/O error occurred.

  The format specification in is invalid.

  -or-

  The number indicating an argument to be formatted is less than zero, or greater than or equal to the number of provided objects to be formatted (3).

  This method uses the composite formatting feature of the .NET Framework to convert the value of an object to its string representation and to embed that representation in a string. The .NET Framework provides extensive formatting support, which is described in greater detail in the following formatting topics:

  For more information about the composite formatting feature, see Composite Formatting.

  For more information about numeric format specifiers, see Standard Numeric Format Strings and Custom Numeric Format Strings.

  For more information about date and time format specifiers, see Standard DateTime Format Strings and Custom DateTime Format Strings.

  For more information about enumeration format specifiers, see Enumeration Format Strings.

  For more information about formatting, see Formatting Types.

  The parameter consists of zero or more runs of text intermixed with zero or more indexed placeholders, called format items, that correspond to an object in the parameter list of this method. The formatting process replaces each format item with the string representation of the value of the corresponding object.

  The syntax of a format item is as follows:

  {index[,length][:formatString]}

  Elements in square brackets are optional. The following table describes each element. For more information about the composite formatting feature, including the syntax of a format item, see Composite Formatting.

  Element

  Description

  index

  The zero-based position in the parameter list of the object to be formatted. If the object specified by index is null, the format item is replaced by . Because this overload has three objects in its parameter list, the value of index must always be 0, 1, or 2. If there is no parameter in the index position, a is thrown.

  ,length

  The minimum number of characters in the string representation of the parameter. If positive, the parameter is right-aligned; if negative, it is left-aligned.

  :formatString

  A standard or custom format string that is supported by the object to be formatted. Possible values for formatString are the same as the values supported by the object's ToString() method. If formatString is not specified and the object to be formatted implements the interface, null is passed as the value of the parameter that is used as the format string.

  The leading and trailing brace characters, "{" and "}", are required. To specify a single literal brace character in , specify two leading or trailing brace characters; that is, "{{" or "}}".

  This method does not search the specified string for individual newline characters (hexadecimal 0x000a) and replace them with .

  If a specified object is not referenced in the format string, it is ignored.

  The line terminator is defined by the field.

  For a list of common I/O tasks, see Common I/O Tasks.

  Writes out a formatted string and a new line, using the same semantics as .

  A composite format string (see Remarks). The first object to format and write. The second object to format and write. The third object to format and write. 0
- Method
  4.0.0.0
  System.Threading.Tasks.Task

  The line terminator is defined by the field.

  Writes a line terminator asynchronously to the text string or stream.

  A task that represents the asynchronous write operation.

- Method
  4.0.0.0
  System.Threading.Tasks.Task ``

  The line terminator is defined by the field.

  The class is an abstract class. Therefore, you do not instantiate it in your code. For an example of using the method, see the method.

  Writes a character followed by a line terminator asynchronously to the text string or stream.

  A task that represents the asynchronous write operation.

  The character to write to the text stream.
- Method
  4.0.0.0
  System.Threading.Tasks.Task ``

  The line terminator is defined by the field.

  Writes an array of characters followed by a line terminator asynchronously to the text string or stream.

  A task that represents the asynchronous write operation.

  The character array to write to the text stream. If the character array is null, only the line terminator is written.
- Method
  4.0.0.0
  System.Threading.Tasks.Task ``

  The line terminator is defined by the field.

  The class is an abstract class. Therefore, you do not instantiate it in your code. For an example of using the method, see the method.

  Writes a string followed by a line terminator asynchronously to the text string or stream.

  A task that represents the asynchronous write operation.

  The string to write. If the value is null, only a line terminator is written.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` ``

  The line terminator is defined by the field.

  The class is an abstract class. Therefore, you do not instantiate it in your code. For an example of using the method, see the method.

  Writes a subarray of characters followed by a line terminator asynchronously to the text string or stream.

  A task that represents the asynchronous write operation.

  The character array to write data from. The character position in the buffer at which to start retrieving data. The number of characters to write.
0